<?php
require_once "connect.php";
require_once "inc/messages.php";

//Recebendo parametros do Form
$id_fornecedores= $_POST['id_fornecedores'];
$id_produtos	  = $_POST['id_produtos'];
$st_ativo	= 1;
$ok = true;

// preprarando sql conforme instrição editar, excluir e adicionar
if(isset($_POST['editar'])) {
  /*
  $sql = "update erpc_fornecedores_produtos set ds_unidade_medida = '$ds_unidade_medida',st_ativo  =  $st_ativo, id_usuario = $id_usuario, dh_alteracao=now()";
  $sql .= " where id = '$id'";*/
}else
	if(isset($_POST['excluir'])) {
	$sql = "delete from erpc_fornecedores_produtos where id_fornecedores = $id_fornecedores and id_produtos = $id_produtos";
}else
	if(isset($_POST['adicionar'])) {
	$sql = "insert into erpc_fornecedores_produtos ( id_fornecedores, id_produtos, st_ativo)
          values( $id_fornecedores, $id_produtos, $st_ativo)";
}

// Se montou o SQL, executa
if($sql!=""){
  $stmt = mysqli_prepare($conexao, $sql) or die(mysqli_error($conexao) . '<br />' . $sql);
  $ok = mysqli_stmt_execute($stmt) or die(mysqli_error($conexao));
}

header("Location:erpc_fornecedores_produtos_list.php");
?>
